Delete a contact group

posthttps://api.expiryedge.com/v1/deleteContactGroup
editor or admin60/minAny method
Request
curl -X POST 'https://api.expiryedge.com/v1/deleteContactGroup?id=grp_7Qw2' \
  -H "Authorization: Bearer $EXPIRYEDGE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{}'
Response
{
  "message": "Group deleted",
  "membersUpdated": 3
}

Id from the id query parameter (or body id). Member contacts are kept and become ungrouped.

Query parameters

  • idstring
    Group id (alternative to body id).

Body parameters

application/json
  • idstring

Returns

200
Group deleted.
  • messagestringrequired
  • membersUpdatedintegerrequired
    Contacts that were moved to ungrouped.

Errors

400
The request is missing required fields or contains invalid values.
401
Missing, expired or invalid bearer token.
403
Authenticated, but your role or organization does not allow this action.
404
The record does not exist or is not in your organization.
429
Too many requests for this endpoint from your IP. Wait Retry-After seconds.